Qwt User's Guide: QwtArraySeriesData< T > Class Template Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
QwtArraySeriesData< T > Class Template Reference

Template class for data, that is organized as QVector. More...

`#include <qwt_series_data.h>`

Inheritance diagram for QwtArraySeriesData< T >:

## Public Member Functions
| QwtArraySeriesData ()
| Constructor.
| QwtArraySeriesData (const QVector< T > &samples)
void | setSamples (const QVector< T > &samples)
const QVector< T > | samples () const
virtual size_t | size () const override
virtual T | sample (size_t index) const override
Public Member Functions inherited from QwtSeriesData< T >
| QwtSeriesData ()
| Constructor.
virtual | ~QwtSeriesData ()
| Destructor.
T | firstSample () const
T | lastSample () const
virtual QRectF | boundingRect () const
virtual void | setRectOfInterest (const QRectF &rect)

## Protected Attributes
QVector< T > | m_samples
| Vector of samples.
Protected Attributes inherited from QwtSeriesData< T >
QRectF | cachedBoundingRect
| Can be used to cache a calculated bounding rectangle.

## Detailed Description

template<typename T>
class QwtArraySeriesData< T >

Template class for data, that is organized as QVector.

QVector uses implicit data sharing and can be passed around as argument efficiently.

Definition at line 152 of file qwt_series_data.h.

## Constructor & Destructor Documentation

## ◆ QwtArraySeriesData() [1/2]

template<typename T >

QwtArraySeriesData< T >::QwtArraySeriesData | ( |  | ) |

Constructor.

Definition at line 190 of file qwt_series_data.h.

## ◆ QwtArraySeriesData() [2/2]

template<typename T >

QwtArraySeriesData< T >::QwtArraySeriesData | ( | const QVector< T > & | samples | ) |
| explicit

Constructor

Parameters

  samples | Array of samples

Definition at line 195 of file qwt_series_data.h.

## Member Function Documentation

## ◆ sample()

template<typename T >

T QwtArraySeriesData< T >::sample | ( | size_t | index | ) | const
| overridevirtual

Returns
  Sample at a specific position

Parameters

  index | Index

Returns
  Sample at position index

Implements QwtSeriesData< T >.

Definition at line 220 of file qwt_series_data.h.

## ◆ samples()

template<typename T >

const QVector< T > QwtArraySeriesData< T >::samples | ( |  | ) | const

Returns
  Array of samples

Definition at line 208 of file qwt_series_data.h.

## ◆ setSamples()

template<typename T >

void QwtArraySeriesData< T >::setSamples | ( | const QVector< T > & | samples | ) |

Assign an array of samples

Parameters

  samples | Array of samples

Definition at line 201 of file qwt_series_data.h.

## ◆ size()

template<typename T >

size_t QwtArraySeriesData< T >::size | ( |  | ) | const
| overridevirtual

Returns
  Number of samples

Implements QwtSeriesData< T >.

Definition at line 214 of file qwt_series_data.h.

## Member Data Documentation

## ◆ m_samples

template<typename T >

QVector< T > QwtArraySeriesData< T >::m_samples
| protected

Vector of samples.

Definition at line 186 of file qwt_series_data.h.